Skip to main content
GET
/
jobs
/
{jobID}
/
status
Get Job Status
curl --request GET \
  --url https://api.gonitro.dev/jobs/{jobID}/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gonitro.dev/jobs/{jobID}/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gonitro.dev/jobs/{jobID}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jobID": "01234567-89ab-cdef-0123-456789abcdef",
  "status": "running",
  "progress": 0
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Request validation failed",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "FileNoLongerAvailable",
"title": "The requested file is no longer available",
"status": 410
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large",
"title": "Content too large",
"status": 413,
"detail": "Uploaded document exceeds the file size limit",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#422-unprocessable-entity",
"title": "Unprocessable Entity",
"status": 422,
"detail": "The request was well-formed but could not be processed",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#500-internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "An unexpected error occurred",
"instance": "/platform/jobs/{jobID}"
}
The Job Status endpoint returns the current status of an asynchronous Conversion, Transformation, or Extraction job. The status can be:
  • running: Job is processing. The response includes a progress field indicating the current percentage of completion.
  • completed: Job completed successfully. The response includes the result, that can be one or more file links for Conversion and Transformation jobs, a JSON payload for Extraction jobs, or a binary string.
  • failed: Job processing failed. The response will include an error field with the failure reason.
  • canceled: The job was canceled by the user.

Event Stream

The Job Status endpoint also supports a unidirectional event stream as an alternative to polling for job monitoring. To enable this, include the "Accept": "text/event-stream" header in the request.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:*/*

Controls response format and behavior. See endpoint description above for detailed response combinations.

  • application/json: Returns JSON response with operation result
  • application/event-stream: Enables Server-Sent Events for real-time updates
  • */*: Defaults to JSON response
Available options:
application/json,
application/event-stream,
*/*

Path Parameters

jobID
string
required

The unique identifier of the job.

Response

Job status and status-related data. Available statuses: running, completed, failed, canceled.

jobID
string
Example:

"01234567-89ab-cdef-0123-456789abcdef"

status
enum<string>
Available options:
running
progress
number<float>
default:0

Progress of the job as a float between 0.0 and 1.0

Example:

0